# eric4.Preferences.ConfigurationPages.HelpDocumentationPage

Module implementing the Help Documentation configuration page.

### Global Attributes

None

### Classes

HelpDocumentationPage | Class implementing the Help Documentation configuration page.

### Functions

create | Module function to create the configuration page.

## HelpDocumentationPage

Class implementing the Help Documentation configuration page.

### Derived from

ConfigurationPageBase, Ui_HelpDocumentationPage

### Class Attributes

None

### Class Methods

None

### Methods

HelpDocumentationPage | Constructor
on_pykde4DocDirButton_clicked | Private slot to select the PyKDE4 documentation directory.
on_pyqt4DocDirButton_clicked | Private slot to select the PyQt4 documentation directory.
on_pysideDocDirButton_clicked | Private slot to select the PySide documentation directory.
on_pythonDocDirButton_clicked | Private slot to select the Python documentation directory.
on_qt4DocDirButton_clicked | Private slot to select the Qt4 documentation directory.
save | Public slot to save the Help Documentation configuration.

### Static Methods

None

#### HelpDocumentationPage (Constructor)

HelpDocumentationPage()

Constructor

#### HelpDocumentationPage.on_pykde4DocDirButton_clicked

on_pykde4DocDirButton_clicked()

Private slot to select the PyKDE4 documentation directory.

#### HelpDocumentationPage.on_pyqt4DocDirButton_clicked

on_pyqt4DocDirButton_clicked()

Private slot to select the PyQt4 documentation directory.

#### HelpDocumentationPage.on_pysideDocDirButton_clicked

on_pysideDocDirButton_clicked()

Private slot to select the PySide documentation directory.

#### HelpDocumentationPage.on_pythonDocDirButton_clicked

on_pythonDocDirButton_clicked()

Private slot to select the Python documentation directory.

#### HelpDocumentationPage.on_qt4DocDirButton_clicked

on_qt4DocDirButton_clicked()

Private slot to select the Qt4 documentation directory.

#### HelpDocumentationPage.save

save()

Public slot to save the Help Documentation configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Up